/*      file     : ParSim/ParSimConfig.h
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: ParSimConfig.h,v 1.7 2005/03/25 11:07:34 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef PARSIMCONFIG_H
#define PARSIMCONFIG_H

// ***DEFINES************************************************************************* 

#define PARSIM_GROUP                      "ParSim"

#define PARSIM_NAME_MAXTIMESTEPS          "MaxTimeSteps"
#define PARSIM_NAME_GRIDLOCKTIMEOUT       "GridLockTimeOut"
#define PARSIM_NAME_MULTILANESTATINTERVAL "MultilaneStatInterval"
#define PARSIM_NAME_MULTILANESTATDUMP     "MultilaneStatDump"
#define PARSIM_NAME_MULTILANESTATFILE     "MultilaneStatFile"
#define PARSIM_NAME_GRAPHICS              "Graphics"
#define PARSIM_NAME_TOPOLOGYWINDOW        "TopologyWindow"
#define PARSIM_NAME_MAPVIEWER             "MapViewer"
#define PARSIM_NAME_DELAY                 "Delay"
#define PARSIM_NAME_SEQUENCELENGTH        "SequenceLength"
#define PARSIM_NAME_MINCOMPLETION         "MinCompletion"
#define PARSIM_NAME_PERFSTATINTERVAL      "PerfStatInterval"
#define PARSIM_NAME_PERFSTATDUMP          "PerfStatDump"
#define PARSIM_NAME_PERFSTATFILE          "PerfStatFile"

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
