/*      file     : TrafficData/TAsciiEdgeReader.h
        project  : PAMINA III
        author   : Marcus Rickert
        RCS      : $Id: TAsciiEdgeReader.h,v 1.6 2005/03/29 17:12:48 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TASCIIEDGEREADER_H
#define TASCIIEDGEREADER_H

// ***INCLUDES************************************************************************ 

#include <TAsciiDataTypeReader.h>

// ***CLASSES************************************************************************* 

class TAsciiEdgeReader : public TAsciiDataTypeReader

{
public:
    
    TAsciiEdgeReader(const char *BaseFilename, const char *IndexScanPattern = "%lld",
                     const char *IndexFileExtension = INDEX_FILE_EXTENSION);

private:

    virtual void *
        CreateObject(const char *) const;

    virtual void
    DisposeObject(void *Object);
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
