/*      file     : common/CommonTemplates.C
        project  : General Toolbox
        author   : Marcus Rickert
        RCS      : $Id: CommonTemplates.C,v 1.8 2005/03/25 11:04:58 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

/* ***INCLUDES************************************************************************ */

#define TEMPLATEBODIES

#ifdef __GNUC__
#pragma implementation "TABTree.h"
#pragma implementation "TArray.h"
#pragma implementation "TDLList.h"
#pragma implementation "TEnumerator.h"
#pragma implementation "TStringContainerEntry.h"
#pragma implementation "TIDContainerEntry.h"
#pragma implementation "TID2ContainerEntry.h"
#pragma implementation "TSelector.h"
#endif

#include <TArray.h>
#include <TObjectArray.h>
#include <TABTree.h>
#include <THeap.h>
#include <TDLList.h>
#include <TConfigHandler.h>
#include <TConfiguration.h>

#ifdef __GNUC__

template class TArray< bool >;
template class TArray< double >;
template class TArray< TBaseObject * >;
template class TArray< TDLListReference >;
template class TArray< THeapObject * >;

template class TObjectArray< TBaseObject >;

template class TDLList< TConfigHandler >;

template class TDLListEnum< TConfigHandler >;

template class TStringContainerEntry< TConfigEntry >;
template class TABTree< TStringContainerEntry< TConfigEntry > >;
template class TEnumerator< TConfigEntry >;

#else

#ifdef SGI64

#pragma instantiate TArray<double>
#pragma instantiate TArray<int>

#endif
#endif

// ===================================================================================


