/*      file     : parstat/TAggregationResult.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TAggregationResult.h,v 1.4 2005/03/25 11:08:01 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TAGGREGATIONRESULT_H
#define TAGGREGATIONRESULT_H

// ***INCLUDES************************************************************************ 

#include <TBaseObject.h>

// ***FORWARDS************************************************************************

#include "TStatObject.forward.h"

// ***CLASSES************************************************************************* 

class TAggregationResult : public TBaseObject

{
public:

    TAggregationResult(int NrOfCPN);
    
    bool             Handled;
    int              NrOfCPN;
    int              NrOfMissingCPN;
    TStatObject     *StatObject;
    TStatObjectList *PendingObjectList;
    TStatObjectList *StatObjectList;
    double           Fraction;

private:
    
};

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
