/*      file     : partools/TParallelListObject.C
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TParallelListObject.C,v 1.4 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************ 

#include "TParallelListObject.h"

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TParallelObject
// =================================================================================== 

TParallelListObject::TParallelListObject(TClassInfo *theClassInfo, 
                                         TParallelID theParallelID) :

ParentClass(theClassInfo, theParallelID)

{
}

// =================================================================================== 

TParallelListObject::TParallelListObject(TClassInfo *theClassInfo, 
                                         TBaseStream *Stream, 
                                         TTransferInfo *TransferInfo) :

ParentClass(theClassInfo, Stream, TransferInfo)

{
}

// =================================================================================== 

TParallelListObject::~TParallelListObject(void)

{
}

// =================================================================================== 

TString
TParallelListObject::GetClassName(void) const

{
    return "TParallelListObject";
}

// =================================================================================== 
#undef ParentClass
