/*      file     : partools/TTimeStepContainerEntry.t.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TTimeStepContainerEntry.t.C,v 1.2 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***INCLUDES************************************************************************

#include <TTimeStep.h>

// ***METHODS************************************************************************* 

// =================================================================================== 
#define ParentClass TIDContainerEntryPrimitive
// =================================================================================== 

template < class T >
TTimeStepContainerEntry< T >::TTimeStepContainerEntry(const TTimeStep &TimeStep,
                                                      const T *theDataPtr) :

ParentClass(TimeStep.GetLinear(), theDataPtr)

{
}

// =================================================================================== 

template < class T >
TTimeStepContainerEntry< T >::operator T * (void)

{
    return (T *) ParentClass::GetInstancePtr();
}

// =================================================================================== 
#undef ParentClass
