divert(-1)
/*      file     : pvm/template/PVMDecodeEncode.Body.m4
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: PVMDecodeEncode.Body.m4,v 1.8 2005/03/25 11:08:26 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

define(`PACKTYPE', ifdef(`PACKTYPE', PACKTYPE, TYPE))
define(`UNPACK', ifdef(`PACKTYPE', `pvm_upk'PACKTYPE, `pvm_upk'TYPE))
define(`PACK', ifdef(`PACKTYPE', `pvm_pk'PACKTYPE, `pvm_pk'TYPE))
define(`CAST', ifdef(`PARATYPE', PARATYPE, TYPE))

// ***FUNCTIONS*********************************************************************** 

divert(0)
bool
CLASS::Decode(TYPE &Data, long Count, long Stride)

{
    int PvmError;
    
    // Print("decode type 'TYPE', count %l", Count);
    if ((PvmError = UNPACK ((CAST *) &Data, (int) Count, (int) Stride)) < 0)
    {
        Error("Decode: UNPACK returns %d", PvmError);
        return FALSE;
    }
    debug(Print(DM_CODE, "Decode: TYPE C=%ld", Count));
    return TRUE;
}

// ===================================================================================

divert(0)
bool
CLASS::Encode(const TYPE &Data, long Count, long Stride) const

{
    int PvmError;
    
    // Print("Encode type 'TYPE', count %l", Count);
    if ((PvmError = PACK ((CAST *) &Data, (int) Count, (int) Stride)) < 0)
    {
        Error("Encode: PACK returns %d", PvmError);
        return FALSE;
    }
    debug(Print(DM_CODE, "Encode: TYPE C=%ld", Count));
    return TRUE;
}

// ===================================================================================
divert(-1)
// Local Variables:
// mode:c++
// End:


