/*      file     : TrafficData/TPhase.i.C
        project  : PAMINA III
        authors  : Marcus Rickert
        RCS      : $Id: TPhase.i.C,v 1.3 2005/03/25 12:28:52 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline bool
TPhase::IsActive(void) const

{
    switch(Var.State)
    {
    case InactivePhase:
    case GreenPhase:
        return TRUE;
        
    case NonGreenPhase:
        return FALSE;
    }
    return FALSE;
}

// =================================================================================== 
