%{

#include <stdlib.h>

#include "LexYacc.h"
#include "Configuration.tab.h"
%}

%%

^#.*\n         { LexDebug("COMMENT"); }
\".*\"         { LexDebug("STRING"); 
		 LexSetString(yytext);
		 return STRING; }
[a-zA-Z_]+     { LexDebug("NAME"); 
		 LexSetName(yytext); 
		 return NAME; }
[-0-9.eE+]+    { LexDebug("VALUE"); 
		 LexSetStringValue(yytext); 
		 return VALUE; }
[ \t\n]        { LexDebug("WHITE"); }
.              { LexDebug("CHAR"); 
		 return yytext[0]; }

%%

