/*      file     : common/TABTreeElement.i.C
        project  : General Toolbox
        authors  : Marcus Rickert
        RCS      : $Id: TABTreeElement.i.C,v 1.3 2005/03/25 11:04:59 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline TBaseObject *
TABTreeElement::GetLeftMostItem(void)

{
    return LeftMostItem;
}

// ===================================================================================

inline int
TABTreeElement::GetElementsUsed(void)

{
    return ElementsUsed;
}

// ===================================================================================

inline TABTreeElement *
TABTreeElement::GetFather(void)

{
    return Father;
}

// ===================================================================================

inline TABTreeElement *
TABTreeElement::GetNext(void) const

{
    return Next;
}

// ===================================================================================

inline TABTreeElement *
TABTreeElement::GetPrev(void) const

{
    return Prev;
}

// ===================================================================================

inline TABTreeElement *
TABTreeElement::GetSon(int SonNumber)

{
    return References[SonNumber];
}

// ===================================================================================

inline bool
TABTreeElement::InsertPossible(void)

{
    return ElementsUsed < TAB_B;
}

// ===================================================================================

inline bool
TABTreeElement::IsLeaf(void)

{
    return Leaf;
}

// ===================================================================================

inline void
TABTreeElement::SetFather(TABTreeElement *AFather)

{
    Father = AFather;
}

// ===================================================================================

inline void
TABTreeElement::SetLeaf(bool IsLeafPar)

{
    Leaf = IsLeafPar;
}

// ===================================================================================

inline bool
TABTreeElement::TooFewSons(void)

{
    return ElementsUsed < TAB_A;
}

// =================================================================================== 
