/*      file     : partools/TObjectTimer.i.C
        project  : Parallel Toolbox 2.x
        authors  : Marcus Rickert
        RCS      : $Id: TObjectTimer.i.C,v 1.3 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

// ***METHODS************************************************************************* 

inline void
TObjectTimer::Start(void)

{
    Timer.Start();
}

// =================================================================================== 

inline void
TObjectTimer::Stop(double Factor)

{
    Timer.Stop();
    ElapsedTime += Factor * Timer.GetStoppedTime();
    Timer.Reset();
}

// =================================================================================== 
