/*      file     : partools/TTimeStepContainerEntry.h
        project  : Parallel Toolbox 2.x
        author   : Marcus Rickert
        RCS      : $Id: TTimeStepContainerEntry.h,v 1.2 2005/03/25 11:08:15 mr Exp $

        Copyright (C) 2005 Marcus Rickert

        http://www.the-rickerts.de/mr/PAMINA.html
*/

#ifndef TTIMESTEPCONTAINERENTRY_H
#define TTIMESTEPCONTAINERENTRY_H

// ***INCLUDES************************************************************************ 

#include "TIDContainerEntry.h"

// ***FORWARDS************************************************************************

class TTimeStep;

// ***CLASSES************************************************************************* 

/**
  */

template < class T >
class TTimeStepContainerEntry : public TIDContainerEntryPrimitive

{
public:
    
    TTimeStepContainerEntry(const TTimeStep &theTimeStep, const T *theDataPtr = 0);

    operator T * (void);
};

// ***TEMPLATE METHODS**************************************************************** 

#if defined (INCLUDE_TEMPLATES) || defined(TEMPLATEBODIES)
#  include "TTimeStepContainerEntry.t.C"
#endif

// ===================================================================================
// Local Variables:
// mode:c++
// End:
#endif
