#! /bin/csh
#      	file     : scripts/RuleMakefile
#      	project  : Parallel Toolbox 2.x
#	author   : Marcus Rickert
#	RCS      : $Id: makepvm.csh,v 1.2 2005/03/25 12:28:31 mr Exp $
#
#        Copyright (C) 2005 Marcus Rickert
#
#        http://www.the-rickerts.de/mr/PAMINA.html
#
# create all neccessary directories and links to start toolbox applications
# to be called in application main directory

if ( ! -d $HOME/pvm3 ) then
  echo "Creating "$HOME/pvm3
  mkdir $HOME/pvm3
endif
if ( ! -d $HOME/pvm3/bin ) then
  echo "Creating "$HOME/pvm3/bin
  mkdir $HOME/pvm3/bin
endif
if ( ! -d $HOME/pvm3/bin/$PVM_ARCH ) then
  echo "Creating "$HOME/pvm3/bin/$PVM_ARCH
  mkdir $HOME/pvm3/bin/$PVM_ARCH
endif
if ( ! -e $HOME/pvm3/bin/$PVM_ARCH/TExecute ) then
  echo "Creating link to TExecute"
  ln -sf $SCRIPTS/TExecute $HOME/pvm3/bin/$PVM_ARCH/TExecute
endif
if ( ! -e $HOME/pvm3/bin/TExecute.tcsh ) then
  echo "Creating link to TExecute.tcsh"
  ln -sf $SCRIPTS/TExecute.tcsh $HOME/pvm3/bin/TExecute.tcsh
endif
if ( ! -e $HOME/pvm3/bin/$PVM_ARCH/$APP ) then
  echo "Creating link to TExecute.tcsh"
  ln -sf `pwd`/$MASTER_APP $HOME/pvm3/bin/$PVM_ARCH/$APP
endif
#if ( ! -d $CHOME/lib ) then
#  echo "Creating library directory "$CHOME/lib
#  mkdir $CHOME/lib
#endif
#if ( ! -d $CHOME/lib/$PVM_ARCH ) then
#  echo "Creating architecture library directory "$CHOME/lib/$PVM_ARCH
#  mkdir $CHOME/lib/$PVM_ARCH
#endif

